cancel
Showing results for 
Search instead for 
Did you mean: 

Blender Discussions

gapincyberspace
Journeyman III

trying to install the linux .run with blender 2.81 when i run it from a terminal the error i get is as follows

Jump to solution

[root@localhost Downloads]# '/home/gap/radeonprorenderforblender.run' ~/home/gap/B281/
Verifying archive integrity... All good.
Uncompressing Radeon ProRender for Blender  100%  
Installing to /root/.local/share/rprblender
Blender executable not found in '/root/home/gap/B281/'
usage: install.py [-h] [--no-matlib] [-v] [--log-file LOG_FILE]
                  [--distr-dir DISTR_DIR]
                  blender_path

positional arguments:
  blender_path          Blender distro folder

optional arguments:
  -h, --help            show this help message and exit
  --no-matlib           Install material library
  -v, --verbose         print debug info
  --log-file LOG_FILE   save log to file
  --distr-dir DISTR_DIR
                        location for unpacked distributiion

"why is the linux version such a pain to install"

Tags (1)
1 Solution

Accepted Solutions
bsavery
Staff
Staff

Re: trying to install the linux .run with blender 2.81 when i run it from a terminal the error i get is as follows

Jump to solution

Please post in the blender sub-forum.  Helps us organize better.

Is ~/home/gap/B281/ where you have blender installed?  Can you LS that dir?  It should be able to run ~/home/gap/B281/blender

View solution in original post

0 Likes
3 Replies
bsavery
Staff
Staff

Re: trying to install the linux .run with blender 2.81 when i run it from a terminal the error i get is as follows

Jump to solution

Please post in the blender sub-forum.  Helps us organize better.

Is ~/home/gap/B281/ where you have blender installed?  Can you LS that dir?  It should be able to run ~/home/gap/B281/blender

0 Likes
afeldtalex
Adept I

Re: trying to install the linux .run with blender 2.81 when i run it from a terminal the error i get is as follows

Jump to solution

Your answer does not solve the problem.

It does not work for 

install.py: command not found
Can you write a complete sequence of input commands?

In which directory do you need to indicate the path? Where is the RadeonProRenderForBlender_2.2.1.run file or where is the Blender executable file?

0 Likes
afeldtalex
Adept I

Re: trying to install the linux .run with blender 2.81 when i run it from a terminal the error i get is as follows

Jump to solution

Verifying archive integrity... 100% All good.
Uncompressing Radeon ProRender for Blender 100%
Installing to /home/alexander/.local/share/rprblender
Retrieving Blender version
...done
Checking HW configuration version
Error:
Traceback (most recent call last):
File "./install.py", line 141, in install_stage
yield
File "./install.py", line 198, in <module>
subprocess.check_call([str(checker)], env={'BLENDER_VERSION': blender_version})
File "/usr/lib/python3.6/subprocess.py", line 306, in check_call
retcode = call(*popenargs, **kwargs)
File "/usr/lib/python3.6/subprocess.py", line 287, in call
with Popen(*popenargs, **kwargs) as p:
File "/usr/lib/python3.6/subprocess.py", line 729, in __init__
restore_signals, start_new_session)
File "/usr/lib/python3.6/subprocess.py", line 1364, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/home/alexander/Soft/addon/checker': '/home/alexander/Soft/addon/checker'

'Checking HW configuration version' failed!

0 Likes